Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.services
Class RemoteSOAPInvokerServiceFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
                      org.jboss.portal.wsrp.services.AbstractSOAPServiceFactory
                          org.jboss.portal.wsrp.services.PerEndpointSOAPInvokerServiceFactory
                              org.jboss.portal.wsrp.services.RemoteSOAPInvokerServiceFactory

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ManageableServiceFactory, ServiceFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class RemoteSOAPInvokerServiceFactory

extends PerEndpointSOAPInvokerServiceFactory

Since:
  2.4 (May 3, 2006)
Version:
  $Revision: 11483 $
Author:
  Chris Laprun

Nested Class Summary
`static class` | `RemoteSOAPInvokerServiceFactory.WSDLLocatorImpl` A WSDLLocator that can handle wsdl imports

Field Summary

Fields inherited from class org.jboss.portal.wsrp.services.PerEndpointSOAPInvokerServiceFactory
`markupURL, portletManagementURL, registrationURL, serviceDescriptionURL`

Fields inherited from class org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
`available, failed, portJNDIMapping`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`RemoteSOAPInvokerServiceFactory()`

Method Summary
`java.lang.String` | `getWsdlDefinitionURL()`
`void` | `setWsdlDefinitionURL(java.lang.String wsdlDefinitionURL)`

Methods inherited from class org.jboss.portal.wsrp.services.PerEndpointSOAPInvokerServiceFactory
`getMarkupURL, getPortletManagementURL, getRegistrationURL, getServiceDescriptionURL, getStubFromService, isAvailable, setMarkupURL, setPortletManagementURL, setRegistrationURL, setServiceDescriptionURL`

Methods inherited from class org.jboss.portal.wsrp.services.AbstractSOAPServiceFactory
`destroyService, getService`

Methods inherited from class org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
`createService, getEnv, getPortJNDIMapping, getServiceFor, isFailed, setAvailable, setEnv, setFailed, setPortJNDIMapping`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### RemoteSOAPInvokerServiceFactory

    public RemoteSOAPInvokerServiceFactory()

Method Detail

### getWsdlDefinitionURL

    public java.lang.String getWsdlDefinitionURL()

### setWsdlDefinitionURL

    public void setWsdlDefinitionURL(java.lang.String wsdlDefinitionURL)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD